org.apache.geode.cache.configuration

## Class FunctionServiceType

- java.lang.Object
- - org.apache.geode.cache.configuration.FunctionServiceType

-     @Experimental
      public class FunctionServiceType
      extends java.lang.Object

  The "function service" element configures the behavior of the function service. The function service allows users to execute functions on data stored in Geode.

  Java class for function-service-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="function-service-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="function" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FunctionServiceType.Function` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<FunctionServiceType.Function>` | `function`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionServiceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<FunctionServiceType.Function>` | `getFunction()` Gets the value of the function property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### function

          protected java.util.List<FunctionServiceType.Function> function

  - ### Constructor Detail

    - #### FunctionServiceType

          public FunctionServiceType()

  - ### Method Detail

    - #### getFunction

          public java.util.List<FunctionServiceType.Function> getFunction()

      Gets the value of the function property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the function property.

      For example, to add a new item, do as follows:

           getFunction().add(newItem);

      Objects of the following type(s) are allowed in the list `FunctionServiceType.Function`